GXTCategoryItemInterface (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Class GXTCategoryItemInterface

- java.lang.Object
- - org.gcube.portlets.user.messages.shared.GXTCategoryItemInterface

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class GXTCategoryItemInterface
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MS_MESSAGES`
    `static String` | `MS_RECEIVED`
    `static String` | `MS_SENT`
    `static String` | `SMF_BIODIVERSITY`
    `static String` | `SMF_DOCUMENTS`
    `static String` | `SMF_IMAGES`
    `static String` | `SMF_LINKS`
    `static String` | `SMF_REPORTS`
    `static String` | `SMF_TIMESERIES`
    `static String` | `SMF_UNKNOWN`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SMF_BIODIVERSITY

          public static final String SMF_BIODIVERSITY

      See Also:
        Constant Field Values

    - #### SMF_DOCUMENTS

          public static final String SMF_DOCUMENTS

      See Also:
        Constant Field Values

    - #### SMF_IMAGES

          public static final String SMF_IMAGES

      See Also:
        Constant Field Values

    - #### SMF_REPORTS

          public static final String SMF_REPORTS

      See Also:
        Constant Field Values

    - #### SMF_TIMESERIES

          public static final String SMF_TIMESERIES

      See Also:
        Constant Field Values

    - #### SMF_LINKS

          public static final String SMF_LINKS

      See Also:
        Constant Field Values

    - #### SMF_UNKNOWN

          public static final String SMF_UNKNOWN

      See Also:
        Constant Field Values

    - #### MS_MESSAGES

          public static final String MS_MESSAGES

      See Also:
        Constant Field Values

    - #### MS_SENT

          public static final String MS_SENT

      See Also:
        Constant Field Values

    - #### MS_RECEIVED

          public static final String MS_RECEIVED

      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.